osflab/view

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

OSF view component

3.0.0 2018-02-26 14:34 UTC

This package is not auto-updated.

Last update: 2021-11-27 14:29:31 UTC


README

The OSF view component with a lot of usefull bootstrap helpers.

Features

  • Bootstrap / VueJS / JQuery integration (and more)
  • Optimized for REST & Ajax calls
  • A lot of good helpers
  • Based and compatible with Zend View
  • A CRUD manager

Installation

You need at least php 7.1 and composer:

sudo apt install composer

In your application via composer

This is the recommended way to use this feature in a non-osf project.

Just add osflab/view in your composer.json file.

From github

To test the component or participate in its development.

git clone https://github.com/osflab/view.git
cd view && composer update

Unit tests launch:

vendor/bin/runtests